/*
select 'drop '||object_type|| ' ' || object_name || ' cascade constraints purge;'
  from user_objects 
 where object_name like 'OM%'
   and object_type in ('TABLE');

select 'drop '||object_type|| ' ' || object_name || ';'
  from user_objects 
 where object_name like 'OM%'
   and object_type in ('VIEW', 'PACKAGE', 'SEQUENCE');
   
  */
  
drop TABLE OM_BP_ADDRESSES cascade constraints purge;
drop TABLE OM_BP_ADR_TYPES cascade constraints purge;
drop TABLE OM_BP_COD_TYPES cascade constraints purge;
drop TABLE OM_BP_CONTACTS cascade constraints purge;
drop TABLE OM_BP_CON_DETAILS cascade constraints purge;
drop TABLE OM_BUSINESS_PARTNERS cascade constraints purge;
drop TABLE OM_ORDERS cascade constraints purge;
drop TABLE OM_ORD_ITEMS cascade constraints purge;
drop TABLE OM_PRODUCTS cascade constraints purge;
drop TABLE OM_PROD_CATEGORIES cascade constraints purge;
drop TABLE OM_PROD_PRICES cascade constraints purge;
drop TABLE OM_PROD_TYPES cascade constraints purge;
drop TABLE OM_SALES_CAMPAIGN cascade constraints purge;
drop TABLE OM_SALES_PER_REGION cascade constraints purge;

-- views

drop VIEW OM_CUSTOMERS_V;
drop VIEW OM_ORD_ITEMS_V;
drop VIEW OM_PRODUCTS_RL_V;
drop VIEW OM_PROD_CATEGORIES_RL_V;
drop view om_prod_categories_v;
drop VIEW OM_SUPPLIERS_V;

/*
select 'drop '||object_type|| ' ' || object_name || ';'
  from user_objects 
 where object_name like 'XLIB_%'
   and object_type in ('TABLE', 'VIEW', 'PACKAGE', 'SEQUENCE');
   
  */
  
  
drop TABLE XLIB_CMS_FILES;
drop PACKAGE XLIB_COMPONENT;
drop TABLE XLIB_COMPONENTS;
drop PACKAGE XLIB_CONF;
drop TABLE XLIB_CONF_VALUES;
drop PACKAGE XLIB_CONTEXT;
drop PACKAGE XLIB_LOG;
drop TABLE XLIB_LOGS;
drop SEQUENCE XLIB_LOG_SEQ;
drop SEQUENCE XLIB_SEQ;


